OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.GPUProgramParameters

Contents

- Functions

Description

All raw functions and tokens from the EXT_gpu_program_parameters extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/EXT/gpu_program_parameters.txt.

Synopsis

- glProgramEnvParameters4fv :: GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> IO ()
- glProgramLocalParameters4fv :: GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> IO ()

# Functions

glProgramEnvParameters4fv :: GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> IO ()

glProgramLocalParameters4fv :: GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> IO ()